# Unlock authenticator by type

Unlocks a user's authenticator by type. Use optional `unlock_type` to limit the unlock operation to a specific lock type, such as `manual` (via Admin Portal or `/lock`) or `automatic` (via lockout policy). Note that TOTP authenticators locked due to the automatic lockout policy cannot be unlocked. <br><br>**Required permissions**: `apps:edit`, `[appId]:edit`, `authenticators:edit`.

Endpoint: POST /v1/users/{user_id}/authenticators/types/{authenticator_type}/unlock
Security: ClientAccessToken

## Path parameters:

  - `user_id` (string, required)
    ID of the user

  - `authenticator_type` (string, required)
    Authenticator type to unlock.

## Request fields (application/json):

  - `unlock_type` (string)
    Defines the type of lock to clear: `manual` (authenticator locked manually in the Admin Portal or via /lock endpoint) or `automatic` (authenticator locked automatically after failed login attempts as defined by the lockout policy).
    Enum: "manual", "automatic", "any"

